<!--
 Copyright © VNG Realisatie 2024
 Licensed under the EUPL
-->

{{ define "errors" }}


  <div class="alert--error">
    <p class="alert__title">{{ i18n "Error" }}</p>
      <p class="alert__content">

        {{ range $errorMessage := .ErrorMessages }}
          {{ if eq $errorMessage "NotBefore cannot be after NotAfter" }}
            {{ i18n "validation error: NotBefore cannot be after NotAfter" }}<br>

          {{ else if eq $errorMessage "amount of grants must be at least 1" }}
            {{ i18n "validation error: amount of grants must be at least 1" }}<br>

          {{ else if eq $errorMessage "directory peer id is missing" }}
            {{ i18n "validation error: directory peer id is missing" }}<br>

          {{ else if eq $errorMessage "service name cannot be blank" }}
            {{ i18n "validation error: service name cannot be blank" }}<br>

          {{ else if eq $errorMessage "service name must contain only letters, numbers, -, _ and ." }}
            {{ i18n "validation error: service name must contain only letters, numbers, -, _ and ." }}<br>

          {{ else if eq $errorMessage "the public key thumbprint is not valid. It must be a SHA-256 HEX encoded string" }}
            {{ i18n "validation error: the public key thumbprint is not valid. It must be a SHA-256 HEX encoded string" }}<br>

          {{ else if eq $errorMessage "peerID cannot be empty" }}
            {{ i18n "validation error: peerID cannot be empty" }}<br>

          {{ else if eq $errorMessage "service peer id is missing" }}
            {{ i18n "validation error: service peer id is missing" }}<br>

          {{ else if eq $errorMessage "outway public key thumbprint is missing" }}
            {{ i18n "validation error: outway public key thumbprint is missing" }}<br>

          {{ else if eq $errorMessage "peerID cannot be smaller than 20 characters" }}
            {{ i18n "validation error: peerID cannot be smaller than 20 characters" }}<br>

          {{ else if eq $errorMessage "peerID cannot be longer than 20 characters" }}
            {{ i18n "validation error: peerID cannot be longer than 20 characters" }}<br>

          {{ else if eq $errorMessage "peer name cannot be blank" }}
            {{ i18n "validation error: peer name cannot be blank" }}<br>

          {{ else }}
            {{ $errorMessage }}
          {{ end }}
        {{ end }}

      </p>
  </div>
{{ end }}
